## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/customers/{id}/beneficial-owners

### cURL

```
GET https://api-sandbox.dwolla.com/customers/81696e5d-a593-45a6-8863-3c20ad634de5/beneficial-owners
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
```

### Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node

```
var customerUrl = "https://api-sandbox.dwolla.com/customers/176878b8-ecdb-469b-a82b-43ba5e8704b2";

token
  .get(`${customerUrl}/beneficial-owners`)
  .then((res) => res.body._embedded["beneficial-owners"][0].id);
```

### Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python

```
customer_url = 'https://api-sandbox.dwolla.com/customers/176878b8-ecdb-469b-a82b-43ba5e8704b2'

beneficial_owners = app_token.get('%s/beneficial-owners' % customer_url)
beneficial_owners.body['id']
```

### Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php

```
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$customersApi = new DwollaSwagger\CustomersApi($apiClient);

$customerUrl = 'https://api-sandbox.dwolla.com/customers/81696e5d-a593-45a6-8863-3c20ad634de5';
$beneficialOwnerList = $customersApi->getBeneficialOwners($customerUrl);
?>
```

### Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby

```
customer_url = 'https://api-sandbox.dwolla.com/customers/176878b8-ecdb-469b-a82b-43ba5e8704b2'

beneficial_owners = app_token.get "#{customer_url}/beneficial-owners"
beneficial_owners._embedded['beneficial-owners'][0].id
```

### Response Status Codes
200

404

### Successful Response Example
```
{
  "_links": {},
  "_embedded": {
    "beneficial-owners": [
      {
        "_links": {},
        "id": "d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e",
        "firstName": "John",
        "lastName": "Doe",
        "address": {
          "address1": "462 Main Street",
          "city": "Des Moines",
          "country": "USA",
          "stateProvinceRegion": "IA",
          "address2": "Suite 123",
          "address3": "Unit 123",
          "postalCode": "50309"
        },
        "verificationStatus": "verified",
        "created": "2022-07-23T00:18:21.419Z"
      }
    ]
  }
}
```

### Not Found Example
```
{
  "code": "not_found",
  "message": "not found."
}
```

#### Authorizations

**Authorization**  
string  
header  
required  
The access token received from the authorization server in the OAuth 2.0 flow.

#### Headers

**Accept**  
enum<string>  
default:application/vnd.dwolla.v1.hal+json  
required  
The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:

`application/vnd.dwolla.v1.hal+json`

#### Path Parameters

**id**  
string  
required  
Customer unique identifier

#### Response

200  
application/vnd.dwolla.v1.hal+json  
successful operation

Request model for list beneficial owners

```  
_links  
object  
Show child attributes
```

```  
_embedded  
object  
Show child attributes
```
